import axios from '@utils/ajax';
import { pushAllDataList,didPushParamChange } from '@utils/tools';
import { initHistory } from '@store/actions/historyTemplates';
import { HISTORY_GETHOSPITALINFO } from '@store/types/historyTemplates';
import Notify from '@commonComp/Notify';
import store from '@store';
import { billing, getMRAnalyse} from '@store/async-actions/pushMessage';

export const initItemList = (item) => {
  // let baseList = store.getState();
  // let state = baseList.patInfo.message;
  // const param = {
  //     "hospitalId": state.hospitalId,
  //     "patientId": state.patientId,
  //     "disName":item&&item.name?item.name : 'dis',
  //     "disType":item?1:0,
  //     "current": 1,
  //     "size": 9999
  //   }
  //   return axios.json('/inquiryInfo/hisInquirys',param);
  const params = {
    sex: "",
    name: '',
    current: 1,
    size: 9999
  } 
  return axios.json('/demo/templateInfo/getTemplatePageAlls', params);
};
export const getHistempDetail = (item) => {
  const param = {
      "id": item.id
    }
    return (dispatch) => {
       axios.json('/demo/templateInfo/getTemplatebyId',param).then((res)=>{        
            const data =res.data;
            if(data.code == 0){
                let tmpData = data.data
                // pushAllDataList(item.sign,'push',tmpData,'history')       //引用
                // if(didPushParamChange()) {
                //   dispatch(billing());
                // }
                // dispatch(getMRAnalyse())

                
            }else{
                Notify.error(data.msg);
            }
        })
    }
};

export function setInitHistory(data){
  return (dispatch) => {
    dispatch(initHistory(data));
  }
}


export const asyncUpdateByIdUsNames = (editId, templateName) => {
  return (dispatch) => {
    return new Promise((resolve, reject)=>{
      let param = {
        id: editId,
        modeName: templateName,
        doctorId: ''
      }
      axios.json('/demo/templateInfo/updateByIdUsNames', param).then(res=>{
        if (res.data.code === '0'){
          resolve(res)
        }else{
          reject(res.data)
        }
      })
    })
  }
}

export const asyncCancelTemplateInfos = (delId) => {
  return (dispatch) => {
    return new Promise((resolve, reject) => {
      let param = {
        ids: delId
      }
      axios.json('/demo/templateInfo/cancelTemplateInfos', param).then(res => {
        if (res.data.code === '0') {
          resolve(res)
        } else {
          reject(res.data)
        }
      })
    })
  }
}


// 获取医院信息
export const getHospitalInfo = () =>{
  return (dispatch) =>{
    axios.json('/tran/hospitalInfo/getHospitalInfoById', { id: 1 }).then(res => {
      if (res.data.code === '0') {
        dispatch({
          type: HISTORY_GETHOSPITALINFO,
          data: res.data.data
        })
      }
    })
  }
  
}

