import { GET_PATIENT_MESSAGE, GET_HOSPITAL_MESSAGE, SETINITPATINFO, SETMEDICALNAME, CLEARMEDICALNAME} from '../types/patInfo';
import { updatePatientMessage, updateHospitalMessage, setPatInfo, setMedicalName, clearMedicalName} from '../actions/patInfo';

const initState = {
    message: {},
    hospitalMsg:{},
    patInfoData: [],  // 病历基本信息
    medicalName: '' //病历名称
};
export default function(state = initState,action){
  switch(action.type){
    case GET_PATIENT_MESSAGE:
      return updatePatientMessage(state,action);
    case GET_HOSPITAL_MESSAGE:
      return updateHospitalMessage(state,action);
    case SETINITPATINFO:
      return setPatInfo(state, action);
    case SETMEDICALNAME:
      return setMedicalName(state, action);
    case CLEARMEDICALNAME:
      return clearMedicalName(state, action);
    default:
      return state;
  }
};
