import React, { Component } from "react";
import style from "./index.less";

class PatInfo extends Component {
  constructor(props){
    super(props)
    this.state ={
      patientInfo: [
        {
          label: 'patientIdNo',
          id: 'patientIdNo',
          value: '330127198912311234',
          title: '卡号'
        },
        {
          label: 'patientName',
          id: 'patientName',
          value: '王明明',
          title: '姓名'
        },
        {
          label: 'patientAge',
          id: 'patientAge',
          value: '56',
          title: '年龄'
        },
        {
          label: 'patientSex',
          id: 'patientSex',
          value: 1,
          title: '性别'
        },
        {
          label: 'systemTime',
          id: 'systemTime',
          value: '2020-08-10',
          title: '就诊时间'
        },
        {
          label: 'hospitalDeptName',
          id: 'hospitalDeptName',
          value: '全科',
          title: '科室'
        },
        {
          label: 'doctorName',
          id: 'doctorName',
          value: '付医生',
          title: '医生'
        },
        {
          label: 'recordId',
          id: 'recordId',
          value: '4332',
          title: '门诊号'
        }

      ]
    }
    this.handleChange = this.handleChange.bind(this)
  }
  componentWillMount() {
    const { getMessage, initPatInfoData } = this.props;
    getMessage && getMessage()
    initPatInfoData && initPatInfoData(this.state.patientInfo)
  }
  componentWillReceiveProps(nextProps){
    const { patInfoData } = nextProps.patInfo
    this.setState({
      patientInfo:patInfoData
    })
    // const {message} = nextProps.patInfo
    // let { patientInfo} = this.state
    // if (Object.keys(message).legnth !== 0){     
    //   patientInfo.forEach(item =>{
    //     item.value = message[item.label]
    //   })
    //   this.setState({
    //     patientInfo
    //   })
    // }
  }

  handleChange(e){
    const { initPatInfoData } = this.props;
    let { patientInfo } = this.state
    let patientItem = patientInfo.find(item =>{
      return item.id === e.target.id
    })
    patientItem.value = e.target.value;
    initPatInfoData && initPatInfoData(this.state.patientInfo)
    // this.setState({
    //   patientInfo
    // })
  }

  render(){
    const {message} = this.props.patInfo;

     return (
      //  <table className={style["table"]}>
      //    <tr>
      //      <td key='1' className={`${style.tdBorderB} ${style.tdBorderR}`} title={'卡号:' + (message.patientIdNo || '')}>卡号：{message.patientIdNo}</td>
      //      <td key='2' className={`${style.tdBorderB} ${style.tdBorderR}`} title={'姓名:' + (message.patientName || '')}>姓名：{message.patientName}</td>
      //      <td key='3' className={`${style.tdBorderB} ${style.tdBorderR}`} title={'年龄：' + (message.patientAge || '')}>年龄：{message.patientAge}</td>
      //      <td key='4' className={`${style.tdBorderB} ${style.tdBorderR}`} title={'性别：' + (message.patientSex || '')}>性别：{message.patientSex}</td>
      //    </tr>
      //    <tr>
      //      <td key='5' className={`${style.tdBorderR}`} style={{ whiteSpace: 'nowrap' }} title={'就诊时间：' + (message.systemTime && message.systemTime.substring(0, 10) || '')}>就诊时间：{message.systemTime && message.systemTime.substring(0, 10)}</td>
      //      <td key='6' className={`${style.tdBorderR}`} title={'科室：' + (message.hospitalDeptName || '')}>科室：{message.hospitalDeptName}</td>
      //      <td key='7' className={`${style.tdBorderR}`} title={'医生：' + (message.doctorName || '')}>医生：{message.doctorName}</td>
      //      <td key='8' className={`${style.tdBorderR}`} title={'门诊号：' + (message.recordId || '')}>门诊号：{message.recordId}</td>
      //    </tr>
      //  </table>
       <div className={style["infoContainer"]}>         
         {
            this.state.patientInfo.map((item, index) => {
              return (
                <div className={style["infoItem"]} key={item.id}>
                  <label for={item.label}>{item.title}：</label>
                  {item.id === 'patientSex' ? (<input id={item.id} type="text" autocomplete="off" value={item.value === 0 ? '女' : '男'} onChange={this.handleChange} />) : (<input id={item.id} type="text" autocomplete="off" value={item.value} onChange={this.handleChange} />) }
                </div>
              )
            })
         }
       </div>

     );
  }
}

export default PatInfo;
